﻿
@{
    ViewData["Title"] = "Apollo";
}

<h1>Apollo</h1>
<script src="https://cdn.jsdelivr.net/npm/jquery@3.4.1/dist/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/apollo-client@2.6.4/ApolloClient.js"></script>
<script>
    $(function () {
        var client = new ApolloClient({
            uri: 'https://localhost:5001/graphql',
        });

        client
            .query({
                query: `
      query{
  products{
    id
    name
    price
  }
}`
            })
            .then(result => console.log(result));
















    });

</script>